[packages] remove xyssl package, it's discontinued upstream and replaced by polarssl
[openwrt/svn-archive/archive.git] / lang / python / patches / 030-cant_check_files.patch
1 diff -Naur Python-2.5.4/configure Python-2.5.4-cross/configure
2 --- Python-2.5.4/configure 2008-12-13 15:13:52.000000000 +0100
3 +++ Python-2.5.4-cross/configure 2009-01-01 15:16:01.000000000 +0100
4 @@ -22326,39 +22326,6 @@
5
6 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7
8 -{ echo "$as_me:$LINENO: checking for /dev/ptmx" >&5
9 -echo $ECHO_N "checking for /dev/ptmx... $ECHO_C" >&6; }
10 -
11 -if test -r /dev/ptmx
12 -then
13 - { echo "$as_me:$LINENO: result: yes" >&5
14 -echo "${ECHO_T}yes" >&6; }
15 -
16 -cat >>confdefs.h <<\_ACEOF
17 -#define HAVE_DEV_PTMX 1
18 -_ACEOF
19 -
20 -else
21 - { echo "$as_me:$LINENO: result: no" >&5
22 -echo "${ECHO_T}no" >&6; }
23 -fi
24 -
25 -{ echo "$as_me:$LINENO: checking for /dev/ptc" >&5
26 -echo $ECHO_N "checking for /dev/ptc... $ECHO_C" >&6; }
27 -
28 -if test -r /dev/ptc
29 -then
30 - { echo "$as_me:$LINENO: result: yes" >&5
31 -echo "${ECHO_T}yes" >&6; }
32 -
33 -cat >>confdefs.h <<\_ACEOF
34 -#define HAVE_DEV_PTC 1
35 -_ACEOF
36 -
37 -else
38 - { echo "$as_me:$LINENO: result: no" >&5
39 -echo "${ECHO_T}no" >&6; }
40 -fi
41
42 case $MACHDEP in
43 darwin)
44 @@ -22426,96 +22393,6 @@
45
46
47
48 -{ echo "$as_me:$LINENO: checking for %zd printf() format support" >&5
49 -echo $ECHO_N "checking for %zd printf() format support... $ECHO_C" >&6; }
50 -if test "$cross_compiling" = yes; then
51 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
52 -See \`config.log' for more details." >&5
53 -echo "$as_me: error: cannot run test program while cross compiling
54 -See \`config.log' for more details." >&2;}
55 - { (exit 1); exit 1; }; }
56 -else
57 - cat >conftest.$ac_ext <<_ACEOF
58 -/* confdefs.h. */
59 -_ACEOF
60 -cat confdefs.h >>conftest.$ac_ext
61 -cat >>conftest.$ac_ext <<_ACEOF
62 -/* end confdefs.h. */
63 -#include <stdio.h>
64 -#include <stddef.h>
65 -#include <string.h>
66 -
67 -#ifdef HAVE_SYS_TYPES_H
68 -#include <sys/types.h>
69 -#endif
70 -
71 -#ifdef HAVE_SSIZE_T
72 -typedef ssize_t Py_ssize_t;
73 -#elif SIZEOF_VOID_P == SIZEOF_LONG
74 -typedef long Py_ssize_t;
75 -#else
76 -typedef int Py_ssize_t;
77 -#endif
78 -
79 -int main()
80 -{
81 - char buffer[256];
82 -
83 - if(sprintf(buffer, "%zd", (size_t)123) < 0)
84 - return 1;
85 -
86 - if (strcmp(buffer, "123"))
87 - return 1;
88 -
89 - if (sprintf(buffer, "%zd", (Py_ssize_t)-123) < 0)
90 - return 1;
91 -
92 - if (strcmp(buffer, "-123"))
93 - return 1;
94 -
95 - return 0;
96 -}
97 -_ACEOF
98 -rm -f conftest$ac_exeext
99 -if { (ac_try="$ac_link"
100 -case "(($ac_try" in
101 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
102 - *) ac_try_echo=$ac_try;;
103 -esac
104 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
105 - (eval "$ac_link") 2>&5
106 - ac_status=$?
107 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
108 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
109 - { (case "(($ac_try" in
110 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
111 - *) ac_try_echo=$ac_try;;
112 -esac
113 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
114 - (eval "$ac_try") 2>&5
115 - ac_status=$?
116 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
117 - (exit $ac_status); }; }; then
118 - { echo "$as_me:$LINENO: result: yes" >&5
119 -echo "${ECHO_T}yes" >&6; }
120 -
121 -cat >>confdefs.h <<\_ACEOF
122 -#define PY_FORMAT_SIZE_T "z"
123 -_ACEOF
124 -
125 -else
126 - echo "$as_me: program exited with status $ac_status" >&5
127 -echo "$as_me: failed program was:" >&5
128 -sed 's/^/| /' conftest.$ac_ext >&5
129 -
130 -( exit $ac_status )
131 -{ echo "$as_me:$LINENO: result: no" >&5
132 -echo "${ECHO_T}no" >&6; }
133 -fi
134 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
135 -fi
136 -
137 -
138
139 { echo "$as_me:$LINENO: checking for socklen_t" >&5
140 echo $ECHO_N "checking for socklen_t... $ECHO_C" >&6; }